import { json } from 'd3';

const el = document.querySelector('p');
const endpoint =
  'https://api.data.netwerkdigitaalerfgoed.nl/datasets/ivo/NMVW/services/NMVW-40/sparql'
//Note that the query is wrapped in es6 template strings to allow for easy copy pasting
const query = `
PREFIX dct: <http://purl.org/dc/terms/>

SELECT * WHERE {
  ?sub dct:created "1893" .
} LIMIT 1000
`

loadData(endpoint, query)

function loadData(url, query){
  d3.json(url + '?query=' + encodeURIComponent(query) + '&format=json').then(data => {
    el.innerText = JSON.stringify(data.results)
    console.log(data)
  })
}
